@charset "UTF-8";

/* =====================================
　　　　　　　　　　Stack
 ===================================== */
 /*Stack内のmargin-bottomをリセット*/
.l-scope.l-page [class*="l-stack"],
.l-scope.l-page [class*="l-stack"] :where(h1,h2,h3,h4,h5,h6,p,ul,ol,figure,div){
  margin-bottom:0;
}

.l-scope.l-page .l-stack-none > * + *,
.l-scope.l-page .l-stack-none > .wp-block-group__inner-container > * + * {
    margin-top: 0;
}

.l-scope.l-page .l-stack-xs > * + *,
.l-scope.l-page .l-stack-xs > .wp-block-group__inner-container > * + * {
    margin-top: 0.5rem;
}

.l-scope.l-page .l-stack-s > * + *,
.l-scope.l-page .l-stack-s > .wp-block-group__inner-container > * + * {
    margin-top: 0.5rem;
}

.l-scope.l-page .l-stack-m > * + *,
.l-scope.l-page .l-stack-m > .wp-block-group__inner-container > * + * {
    margin-top: 1.25rem;
}  

.l-scope.l-page .l-stack-l > * + *,
.l-scope.l-page .l-stack-l > .wp-block-group__inner-container > * + *{
    margin-top: 1.5rem;
}    

@media (min-width:768px){
    .l-scope.l-page .l-stack-xs > * + *,
    .l-scope.l-page .l-stack-xs > .wp-block-group__inner-container > * + *  {
        margin-top: 0.5rem;
    }

    .l-scope.l-page .l-stack-s > * + *,
    .l-scope.l-page .l-stack-s > .wp-block-group__inner-container > * + *  {
        margin-top: 0.75rem;
    }

    .l-scope.l-page .l-stack-m > * + *,
    .l-scope.l-page .l-stack-m > .wp-block-group__inner-container > * + * {
        margin-top: 1.5rem;
    }

    .l-scope.l-page .l-stack-l > * + *,
    .l-scope.l-page .l-stack-l > .wp-block-group__inner-container > * + *  {
        margin-top: 1.75rem;
    }
}

@media (min-width:1025px){

    .l-scope.l-page .l-stack-xs > * + *,
    .l-scope.l-page .l-stack-xs > .wp-block-group__inner-container > * + *  {
        margin-top: 0.5rem;
    }

    .l-scope.l-page .l-stack-s > * + *,
    .l-scope.l-page .l-stack-s > .wp-block-group__inner-container > * + *  {
        margin-top: 1.0rem;
    }

    .l-scope.l-page .l-stack-m > * + *,
    .l-scope.l-page .l-stack-m > .wp-block-group__inner-container > * + *  {
        margin-top: 1.5rem;
    }

    .l-scope.l-page .l-stack-l > * + *,
    .l-scope.l-page .l-stack-l > .wp-block-group__inner-container > * + *  {
        margin-top: 2.0rem;
    }
}